/**
 * description
 *
 * @author eson
 *2022年7月21日-13:48:01
 */
package com.yuandian.dataflow.controller;

import java.io.Serializable;
import java.util.ArrayList;

import com.alipay.sofa.jraft.entity.PeerId;
import com.alipay.sofa.jraft.rpc.RpcContext;
import com.alipay.sofa.jraft.rpc.RpcProcessor;
import com.google.protobuf.Any;
import com.yuandian.dataflow.statemachine.StateServerFactory;
import com.yuandian.dataflow.statemachine.rpc.ResponseSM;
import com.yuandian.dataflow.statemachine.rpc.annotations.ProcessorRaft;

import lombok.Getter;
import lombok.Setter;
import lombok.var;
import lombok.extern.slf4j.Slf4j;

/**
 * description
 *
 * @author eson
 *2022年7月21日-13:48:01
 */

@Slf4j
@ProcessorRaft
public class PacketsProcessor implements RpcProcessor<PacketsProcessor.PacketsRequest> {

    @Setter
    @Getter
    public static class PacketsRequest implements Serializable {
        private ArrayList<Any> packets = new ArrayList<>();
    }

    @Override
    public void handleRequest(RpcContext rpcCtx, PacketsRequest request) {
            // StateServerFactory.getStateServer().updateFsmStateAsync(s, onCompleted);
            log.info("{}",request.packets.size());
            var resp = new ResponseSM();
            resp.setMsg(rpcCtx.getRemoteAddress());
 
            rpcCtx.sendResponse(resp);
    }

    @Override
    public String interest() {
        // TODO Auto-generated method stub
        return PacketsRequest.class.getName();
    }


    
}
